summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/decompression
diff options
context:
space:
mode:
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/decompression')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/decompression/golden.sh7
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh57
-rw-r--r--3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stderr.exact11
-rw-r--r--3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stdout.exact25
4 files changed, 100 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/decompression/golden.sh b/3rdparty/zstd/tests/cli-tests/decompression/golden.sh
new file mode 100755
index 00000000000..36919e69285
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/decompression/golden.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+GOLDEN_DIR="$ZSTD_REPO_DIR/tests/golden-decompression/"
+
+zstd -r -t "$GOLDEN_DIR"
diff --git a/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh
new file mode 100755
index 00000000000..2cab463f840
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+set -e
+
+. "$COMMON/platform.sh"
+
+echo "" > 1
+echo "2" > 2
+echo "23" > 3
+echo "234" > 4
+echo "some data" > file
+
+println "+ passthrough enabled"
+
+zstd file
+
+# Test short files
+zstd -dc --pass-through 1 2 3 4
+
+# Test *cat symlinks
+zstdcat file
+"$ZSTD_SYMLINK_DIR/zcat" file
+"$ZSTD_SYMLINK_DIR/gzcat" file
+
+# Test multiple files with mix of compressed & not
+zstdcat file file.zst
+zstdcat file.zst file
+
+# Test --pass-through
+zstd -dc --pass-through file
+zstd -d --pass-through file -o pass-through-file
+
+# Test legacy implicit passthrough with -fc
+zstd -dcf file
+zstd -dcf file file.zst
+zstd -df < file
+zstd -dcf < file file.zst -
+zstd -dcf < file.zst file -
+
+$DIFF file pass-through-file
+
+println "+ passthrough disabled"
+
+# Test *cat
+zstdcat --no-pass-through file && die "should fail"
+"$ZSTD_SYMLINK_DIR/zcat" --no-pass-through file && die "should fail"
+"$ZSTD_SYMLINK_DIR/gzcat" --no-pass-through file && die "should fail"
+# Test zstd without implicit passthrough
+zstd -d file -o no-pass-through-file && die "should fail"
+zstd -d < file && die "should fail"
+
+# Test legacy implicit passthrough with -fc
+zstd --no-pass-through -dcf file && die "should fail"
+zstd --no-pass-through -dcf file file.zst && die "should fail"
+zstd --no-pass-through -df < file && die "should fail"
+zstd --no-pass-through -dcf < file file.zst - && die "should fail"
+zstd --no-pass-through -dcf < file.zst file - && die "should fail" ||:
diff --git a/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stderr.exact b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stderr.exact
new file mode 100644
index 00000000000..62f96ae420e
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stderr.exact
@@ -0,0 +1,11 @@
+file :230.00% ( 10 B => 23 B, file.zst)
+zstd: file: unsupported format
+zstd: file: unsupported format
+zstd: file: unsupported format
+zstd: file: unsupported format
+zstd: /*stdin*\: unsupported format
+zstd: file: unsupported format
+zstd: file: unsupported format
+zstd: /*stdin*\: unsupported format
+zstd: /*stdin*\: unsupported format
+zstd: file: unsupported format
diff --git a/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stdout.exact b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stdout.exact
new file mode 100644
index 00000000000..b0d494c14aa
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/decompression/pass-through.sh.stdout.exact
@@ -0,0 +1,25 @@
++ passthrough enabled
+
+2
+23
+234
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
+some data
++ passthrough disabled
+some data
+some data
+some data
ldstar.cpp / skylncr.cpp. it might be possible to merge it in, however my gut feeling is that said driver should be split up into different machine types all using some generic but fleixlbe video device that can handle these 8x8 tiles, 8x32 reel cases as most of them are based on the same basic concepts, just with their own tweaks. reels, sounds, inputs are not hooked up here. see http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=107569&page=1 for PCB information. * | New clone added Ivan Vangelista2016-10-071-0/+1 | | | | | | | | | | ------------- Teenage Mutant Ninja Turtles (Asia 4 Players, version ?) [Abelardo Vidal, The Dumping Union] * | Naomi Strike Fighter sets ident/info (nw) MetalliC2016-10-071-2/+2 |/ * Merge pull request #1483 from mamehaze/031016 Ivan Vangelista2016-10-051-0/+3 |\ | | | | new NOT WORKING Mahjong Senpu [system11. David Haywood] | * new NOT WORKING David Haywood2016-10-051-0/+3 | | | | | | | | | | | | Mahjong Senpu [system11. David Haywood] displays the game image, upside down, no palette for now, no inputs for now, no sound for now, going to continue work on it. * | update mame.lst hap2016-10-051-0/+1 | | * | New NOT WORKING machine Ivan Vangelista2016-10-041-0/+2 | | | | | | | | | | | | | | | | | | ======================= Super Triv Quiz I [any] New clone added ------------ Greyhound Electronics", "Poker (Version 50.02 ICB, set 4) [any] * | New working machine added hap2016-10-041-0/+4 | | | | | | | | | | ----------- Fidelity Elite Avant Garde 2100 [hap, anonymous] * | Merge pull request #1479 from system11b/S11mjfixes7 R. Belmont2016-10-031-1/+1 |\ \ | |/ |/| Corrected Hana no Momoko gumi dip switches | * Corrected Hana no Momoko gumi dip switches system11b2016-10-031-1/+1 | | | | | | | | | | | | | | Corrected Mahjong 4p Simasyo dip switches Corrected year & company for Mahjong Housoukyoku Honbanchuu Corrected dip switches for Hyper Reaction 2 [system11] * | New clones added hap2016-10-021-0/+2 | | | | | | | | | | | | ------------ Fidelity The Excellence (model EP12) [anonymous] Fidelity The Par Excellence (model 6083) [anonymous] * | New clone added hap2016-10-021-0/+2 | | | | | | | | | | | | | | ----------- Fidelity The Excellence (model 6080) [hap, yovan] nw note: This also splits model 6080b/6093 into 2 sets, they have the same program rom. The difference is one board has a 7seg display, other one not. * | Merge pull request #1470 from mamehaze/300916